Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchResultsPerPage.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchResultsPerPage.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchResultsPerPage.component.ts	(revision 55570)
@@ -1,55 +1,8 @@
 import {Component, Input, Output, EventEmitter} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
-import {ErrorCodes} from '../../utils/properties/errorCodes';
 
-import {Router, ActivatedRoute} from '@angular/router';
-import {RouterHelper} from '../../utils/routerHelper.class';
 @Component({
     selector: 'search-results-per-page',
-    template: `
-    <!--div class= "searchPaging uk-panel uk-margin-top uk-grid uk-margin-bottom"-->
-
-      <!--form class="uk-form-horizontal uk-width-1-2">
-        <div class="uk-form-label inherit-color">Results per page:</div>
-        <div class="uk-form-controls">
-          <select class="uk-select" id="form-horizontal-select" name="select_results_per_page"
-                  [(ngModel)]="searchUtils.size" (ngModelChange)="navigate(searchUtils.size)">
-            <option [ngValue]="5" > 5</option>
-            <option [ngValue]="10">10</option>
-            <option [ngValue]="20">20</option>
-            <option [ngValue]="50">50</option>
-          </select>
-        </div>
-      </form-->
-
-          <!--select class="uk-select uk-width-2-3" id="form-horizontal-select" name="select_results_per_page"
-                  [(ngModel)]="searchUtils.size" (ngModelChange)="navigate(searchUtils.size)">
-            <option [ngValue]="5" > 5 Results per page</option>
-            <option [ngValue]="10">10 Results per page</option>
-            <option [ngValue]="20">20 Results per page</option>
-            <option [ngValue]="50">50 Results per page</option>
-          </select-->
-    <!--/div-->
-
-    <!--span>Results per page:</span>
-    <span>
-      <ul class="uk-subnav uk-subnav-divider">
-        <li [class]="searchUtils.size == 5  ? 'uk-active' : ''"><a  [queryParams]="routerHelper.createQueryParamsResultsPerPage(parameterNames,parameterValues,'size',5)"  routerLinkActive="router-link-active" [routerLink]=baseUrl> 5</a></li>
-        <li [class]="searchUtils.size == 10 ? 'uk-active' : ''"><a  [queryParams]="routerHelper.createQueryParamsResultsPerPage(parameterNames,parameterValues,'size',10)" routerLinkActive="router-link-active" [routerLink]=baseUrl>10</a></li>
-        <li [class]="searchUtils.size == 20 ? 'uk-active' : ''"><a  [queryParams]="routerHelper.createQueryParamsResultsPerPage(parameterNames,parameterValues,'size',20)" routerLinkActive="router-link-active" [routerLink]=baseUrl>20</a></li>
-        <li [class]="searchUtils.size == 50 ? 'uk-active' : ''"><a  [queryParams]="routerHelper.createQueryParamsResultsPerPage(parameterNames,parameterValues,'size',50)" routerLinkActive="router-link-active" [routerLink]=baseUrl>50</a></li>
-      </ul>
-    </span-->
-
-    <!--ul class="uk-subnav uk-subnav-divider">
-      <li>Results per page:</li>
-      <li [class]="searchUtils.size == 5  ? 'uk-active' : ''"><a  [queryParams]="routerHelper.createQueryParamsResultsPerPage(parameterNames,parameterValues,'size',5)"  routerLinkActive="router-link-active" [routerLink]=baseUrl> 5</a></li>
-      <li [class]="searchUtils.size == 10 ? 'uk-active' : ''"><a  [queryParams]="routerHelper.createQueryParamsResultsPerPage(parameterNames,parameterValues,'size',10)" routerLinkActive="router-link-active" [routerLink]=baseUrl>10</a></li>
-      <li [class]="searchUtils.size == 20 ? 'uk-active' : ''"><a  [queryParams]="routerHelper.createQueryParamsResultsPerPage(parameterNames,parameterValues,'size',20)" routerLinkActive="router-link-active" [routerLink]=baseUrl>20</a></li>
-      <li [class]="searchUtils.size == 50 ? 'uk-active' : ''"><a  [queryParams]="routerHelper.createQueryParamsResultsPerPage(parameterNames,parameterValues,'size',50)" routerLinkActive="router-link-active" [routerLink]=baseUrl>50</a></li>
-    </ul-->
-<!--[(ngModel)]="searchUtils.size" (ngModelChange)="navigate(searchUtils.size)"-->
-<!--[(ngModel)]="=size" (ngModelChange)="sizeChanged()"-->
+    template: `        
     <span class="uk-width-2-3@m uk-width-1-1@s">
       <span class="uk-width-5-6@m"> Results per page:</span>
       <select class="uk-select uk-width-1-6@m uk-width-auto" id="form-horizontal-select" name="select_results_per_page"
@@ -76,10 +29,4 @@
           value: this.size
       });
     }
-    /*navigate(size: number) {
-      this.searchUtils.page = 1;
-      console.info(size);
-      console.info(this.baseUrl);
-      this._router.navigate([this.baseUrl], { queryParams:  this.routerHelper.createQueryParamsResultsPerPage(this.parameterNames,this.parameterValues,'size',size)});
-    }*/
 }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/communitySearchResults.module.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/communitySearchResults.module.ts	(nonexistent)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/communitySearchResults.module.ts	(revision 55570)
@@ -0,0 +1,25 @@
+import { NgModule}              from '@angular/core';
+import { CommonModule }         from '@angular/common';
+import { FormsModule }          from '@angular/forms';
+import { RouterModule }         from '@angular/router';
+import {ErrorMessagesModule}    from '../../utils/errorMessages.module';
+import {CommunitySearchResultsComponent} from "./communitySearchResults.component";
+import {AlertModalModule} from "../../utils/modal/alertModal.module";
+import {ManageModule} from "../../utils/manage/manage.module";
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule,
+    RouterModule, ErrorMessagesModule,
+    AlertModalModule, ManageModule
+  ],
+  declarations: [
+    CommunitySearchResultsComponent
+  ],
+  providers:[
+  ],
+  exports: [
+    CommunitySearchResultsComponent
+  ]
+})
+export class CommunitySearchResultsModule { }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchPage.module.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchPage.module.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchPage.module.ts	(revision 55570)
@@ -5,10 +5,6 @@
 
 import{SearchPageComponent} from './searchPage.component';
 import{SearchFormModule} from './searchForm.module';
-import{SearchResultsModule} from './searchResults.module';
-//import{DatasourceTableViewModule} from './datasourceTableView.module';
-//import{SearchFilterComponent} from './searchFilter.component';
-//import{SearchFilterModalComponent} from './searchFilterModal.component';
 import {SearchFilterModule} from './searchFilter.module';
 import{LoadingModalModule} from '../../utils/modal/loadingModal.module';
 import {ReportsServiceModule} from '../../services/reportsService.module';
@@ -23,12 +19,14 @@
 import {Schema2jsonldModule} from '../../sharedComponents/schema2jsonld/schema2jsonld.module';
 import { SEOServiceModule } from '../../sharedComponents/SEO/SEOService.module';
 import { SearchDataproviderMapModule } from './searchDataproviderMap.module';
+import {CommunitySearchResultsModule} from "./communitySearchResults.module";
+import {SearchResultsModule} from "./searchResults.module";
 
 @NgModule({
   imports: [
-    CommonModule, FormsModule,RouterModule,  SearchFormModule, SearchResultsModule,
+    CommonModule, FormsModule, RouterModule, SearchFormModule, SearchResultsModule, CommunitySearchResultsModule,
     LoadingModalModule, ReportsServiceModule, SearchDataproviderMapModule,
-    SearchPagingModule, SearchResultsPerPageModule, SearchSortingModule, SearchDownloadModule, ModalModule, SearchFilterModule, PiwikServiceModule, HelperModule, Schema2jsonldModule, SEOServiceModule
+    SearchPagingModule, SearchResultsPerPageModule, SearchSortingModule, SearchDownloadModule, ModalModule, SearchFilterModule, PiwikServiceModule, HelperModule, Schema2jsonldModule, SEOServiceModule, SearchResultsModule
   ],
   declarations: [
     SearchPageComponent
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/communitySearchResults.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/communitySearchResults.component.ts	(nonexistent)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/communitySearchResults.component.ts	(revision 55570)
@@ -0,0 +1,69 @@
+import {Component, Input, ViewChild} from '@angular/core';
+import {ErrorCodes} from '../../utils/properties/errorCodes';
+import {RouterHelper} from '../../utils/routerHelper.class';
+import{EnvProperties} from '../../utils/properties/env-properties';
+import {CommunityInfo} from "../../connect/community/communityInfo";
+import {Router} from "@angular/router";
+@Component({
+  selector: 'community-search-result',
+  templateUrl:'communitySearchResults.component.html'
+})
+
+export class CommunitySearchResultsComponent {
+  @Input() results: CommunityInfo[];
+  @Input() status: number;
+  @Input() type: string;
+  @Input() showLoading: boolean = false;
+  @Input() custom_class: string = "search-results";
+  @Input() properties: EnvProperties;
+  @Input() maxCharacters: number = 150;
+  @ViewChild('AlertModal') modal;
+
+
+  public urlParam: string;
+  public errorCodes:ErrorCodes = new ErrorCodes();
+  public routerHelper:RouterHelper = new RouterHelper();
+  public errorMessage: string = "No results found";
+  public selectedCommunityId: string;
+  constructor(private router: Router) {}
+
+  ngOnInit() {
+
+  }
+
+  getProductionPrefix():string{
+    return (this.properties.environment == "beta")?"beta.":""
+  }
+
+  isProduction():boolean{
+    return this.properties.environment!="development";
+
+  }
+
+  public _formatDescription(description){
+    return (((description).length > this.maxCharacters)?(description.substring(0,(this.maxCharacters - ('...').length))+"..."):description);
+  }
+
+  public confirmModalOpen(community: CommunityInfo) {
+      this.selectedCommunityId = community.communityId;
+      this.modal.cancelButton = true;
+      this.modal.okButton = true;
+      this.modal.alertTitle = 'You have selected ' + community.title;
+      this.modal.alertMessage = false;
+      this.modal.okButtonLeft = false;
+      this.modal.okButtonText = 'Yes';
+      this.modal.cancelButtonText = 'No';
+      this.modal.open();
+  }
+
+  public goToCommunityPage(data: any) {
+    let url = '';
+    if(this.isProduction()) {
+      url = 'https://'+ this.getProductionPrefix() + this.selectedCommunityId +'.openaire.eu';
+    } else {
+      url = this.router.createUrlTree(['/'], {
+        queryParams: { 'communityId': this.selectedCommunityId} }).toString();
+    }
+    window.open(url, '_blank');
+  }
+}
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchPage.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 55570)
@@ -1,24 +1,21 @@
 import {Component, Input}             from '@angular/core';
 import {ViewChild, Output}            from '@angular/core';
-import {EventEmitter,ElementRef}      from '@angular/core';
+import {EventEmitter}      from '@angular/core';
 import {Location}                     from '@angular/common';
 import {Router, ActivatedRoute}       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
-import {Observable}                   from 'rxjs/Observable';
-
 import {Filter, Value}                from './searchHelperClasses.class';
-import {SearchResult}                 from '../../utils/entities/searchResult';
-import {SearchFields, FieldDetails}   from '../../utils/properties/searchFields';
+import {SearchFields}                 from '../../utils/properties/searchFields';
 import {SearchUtilsClass}             from './searchUtils.class';
 import {DOI, StringUtils}             from '../../utils/string-utils.class';
+import {RouterHelper}                 from '../../utils/routerHelper.class';
 import {ModalLoading}                 from '../../utils/modal/loading.component';
-import {SearchFilterComponent}        from './searchFilter.component';
-import {SearchFilterModalComponent}   from './searchFilterModal.component';
 import {ErrorCodes}                   from '../../utils/properties/errorCodes';
 import {PiwikService}                 from '../../utils/piwik/piwik.service';
 import {EnvProperties}                from '../../utils/properties/env-properties';
-import { SEOService } from '../../sharedComponents/SEO/SEO.service';
+import { SEOService }                 from '../../sharedComponents/SEO/SEO.service';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 @Component({
     selector: 'search-page',
@@ -55,6 +52,8 @@
   @Input() mapUrl: string = "";
   @Input() mapTooltipType: string ="content providers";
   @Input() newQueryButton: boolean = true;
+  @Input() lastIndex: boolean = true;
+  @Input() hasPrefix: boolean = true;
   //@Input() sortBy: string = "";
   @ViewChild (ModalLoading) loading : ModalLoading ;
   public fieldIdsMap;//:  { [key:string]:{ name:string, operator:string, type:string, indexField:string, equalityOperator:string  }};
@@ -70,9 +69,10 @@
   // public currentFilter: Filter;
   public csvLimit: number = 0;
   public pagingLimit: number = 0;
-  public resultsPerPage: number = 0;
+  public resultsPerPage: number = 10;
   public isPiwikEnabled;
   properties:EnvProperties;
+  public routerHelper:RouterHelper = new RouterHelper();
   public errorCodes:ErrorCodes = new ErrorCodes();
 
   constructor (private route: ActivatedRoute,
@@ -79,7 +79,6 @@
                private location: Location,
                private _meta: Meta,
                private _title: Title,
-               private element: ElementRef,
                private _piwikService:PiwikService,
                private router: Router,
              private seoService: SEOService) {
@@ -91,7 +90,6 @@
       .subscribe((data: { envSpecific: EnvProperties }) => {
         this.properties = data.envSpecific;
         this.pagingLimit = data.envSpecific.pagingLimit;
-        this.resultsPerPage =data.envSpecific.resultsPerPage;
         this.csvLimit = data.envSpecific.csvLimit;
         this.isPiwikEnabled = data.envSpecific.enablePiwikTrack;
         if(typeof window !== 'undefined') {
@@ -101,9 +99,8 @@
           this.piwiksub = this._piwikService.trackView(this.properties, this.pageTitle, this.piwikSiteId).subscribe();
         }
       });
-    if (typeof document !== 'undefined') {
-       this.element.nativeElement.scrollIntoView();
-    }
+      HelperFunctions.scroll();
+
         // this.updateBaseUrlWithParameters(this.filters);
         this.updateTitle(this.pageTitle);
         var description = "Openaire, search, repositories, open access, type, content provider, funder, project, " + this.type + "," +this.pageTitle;
@@ -110,33 +107,46 @@
         this.updateDescription(description);
         this.seoService.createLinkForCanonicalURL(this.properties.baseLink+this.router.url,false);
   }
-  ngAfterViewChecked(){
 
-  }
   ngOnDestroy() {
     if(this.piwiksub){
       this.piwiksub.unsubscribe();
     }
   }
-  // toggleModal($event) {
-  //   this.currentFilter = $event.value;
-  //   //this.searchFilterModal.open();
-  // }
 
+
   updateDescription(description:string) {
     this._meta.updateTag({content:description},"name='description'");
     this._meta.updateTag({content:description},"property='og:description'");
   }
+
   updateTitle(title:string) {
-    var _prefix ="OpenAIRE | ";
-    var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
+    let _title: string;
+    if(this.hasPrefix) {
+      let _prefix ="OpenAIRE | ";
+      _title = _prefix + ((title.length > 50) ? title.substring(0, 50) : title);
+    } else {
+      _title = ((title.length > 50) ? title.substring(0, 50) : title);
+    }
     this._title.setTitle(_title);
     this._meta.updateTag({content:_title},"property='og:title'");
   }
+
   updateUrl(url:string) {
     this._meta.updateTag({content:url},"property='og:url'");
   }
 
+  public getQueryParamsFromUrl(params) {
+    this.queryParameters = new Map<string,string>();
+    for(let i=0; i< this.refineFields.length ; i++) {
+      let filterId = this.refineFields[i];
+      if (params[filterId] != undefined) {
+        this.queryParameters.set(filterId, StringUtils.URIDecode(params[filterId]));
+      }
+    }
+    return this.queryParameters;
+  }
+
   public getQueryParametersFromUrl(params){ // called by ngOnInit function of search find pages
     // var parameters = "";
     var allFqs = "";
@@ -359,7 +369,7 @@
     if(this.searchUtils.page != 1 && includePage){
        allLimits+=((allLimits.length == 0)?'?':'&') + 'page=' + this.searchUtils.page;
     }
-    if(this.searchUtils.size != 10) {
+    if(this.searchUtils.size != this.resultsPerPage) {
       allLimits+=((allLimits.length == 0)?'?':'&') + 'size=' + this.searchUtils.size;
       this.parameterNames.push("size");
       this.parameterValues.push(""+this.searchUtils.size);
@@ -523,7 +533,9 @@
     //console.info("queryParams : "+queryParameters);
     var indexQuery = this.createIndexQueryParameters(this.filters);
 
-    this.location.go(location.pathname,urlParameters);
+    //this.location.go(location.pathname,urlParameters);
+    this.router.navigate( [this.baseUrl], { queryParams: this.routerHelper.createQueryParams(this.parameterNames, this.parameterValues) } );
+    
 /* Code For Piwik*/
     if (typeof localStorage !== 'undefined') {
       localStorage.setItem('previousRoute', this.router.url);
@@ -534,12 +546,10 @@
     /* End Piwik Code */
     this.queryChange.emit({
         value: queryParameters,
-        index:indexQuery
-
+        index:indexQuery,
+        params: this.queryParameters
     });
-    if (typeof document !== 'undefined') {
-       this.element.nativeElement.scrollIntoView();
-    }
+    HelperFunctions.scroll();
   }
   filterChanged($event){
        this.goTo(1);
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchResults.module.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchResults.module.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchResults.module.ts	(revision 55570)
@@ -14,18 +14,14 @@
     CommonModule, FormsModule,
     RouterModule, ErrorMessagesModule,
     ApprovedByCommunityModule
-   ],
+  ],
   declarations: [
-    SearchResultComponent,
-
-],
-
+    SearchResultComponent
+  ],
   providers:[
   ],
   exports: [
-
-      SearchResultComponent
-
-    ]
+    SearchResultComponent
+  ]
 })
 export class SearchResultsModule { }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchSorting.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchSorting.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchSorting.component.ts	(revision 55570)
@@ -1,79 +1,38 @@
 import {Component, Input, Output, EventEmitter} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
 
-import {Router, ActivatedRoute} from '@angular/router';
-import {RouterHelper} from '../../utils/routerHelper.class';
 @Component({
     selector: 'search-sorting',
-    template: `
-      <!--form class="uk-form-horizontal uk-width-1-1">
-        <div class="uk-form-label inherit-color">Sort By:</div>
-        <div class="uk-form-controls">
-          <select class="uk-select" id="form-horizontal-select" name="select_sort_results"
-                  [(ngModel)]="sortBy" (ngModelChange)="navigateSort(sortBy)">
-            <option value="">Relevance score</option>
-            <option value="resultdateofacceptance,descending">Year</option>
-          </select>
-        </div>
-      </form-->
-
-      <!--select class="uk-select uk-width-2-3 uk-float-right" id="form-horizontal-select" name="select_sort_results"
-              [(ngModel)]="sortBy" (ngModelChange)="navigateSort(sortBy)">
-        <option value="">Most relevant first</option>
-        <option value="resultdateofacceptance,descending">Most recent first</option>
-      </select-->
-
+    template: `        
       <span class="uk-width-2-3@m uk-width-1-1@s uk-float-right">
         <span class="uk-width-1-4"> Sort by:</span>
-        <select class="uk-select uk-width-3-4@m uk-width-auto" id="form-horizontal-select" name="select_results_per_page"
+        <select *ngIf="entityType != 'community'" class="uk-select uk-width-3-4@m uk-width-auto" id="form-horizontal-select" name="select_results_per_page"
                 [(ngModel)]="sortBy" (ngModelChange)="sortByChanged()">
                 <option value="">Relevance</option>
                 <option value="resultdateofacceptance,descending">Date (most recent)</option>
                 <option value="resultdateofacceptance,ascending">Date (least recent)</option>
         </select>
+        <select *ngIf="entityType == 'community'" class="uk-select uk-width-3-4@m uk-width-auto" id="form-horizontal-select" name="select_results_per_page"
+                  [(ngModel)]="sortBy" (ngModelChange)="sortByChanged()">
+                <option value="">Title</option>
+                <option value="creationdate,descending">Creation Date (most recent)</option>
+                <option value="creationdate,ascending">Creation Date (least recent)</option>
+        </select>
       </span>
-
-      <!--ul class="uk-subnav uk-subnav-pill">
-        <li [class]="sortBy == ''  ? 'uk-active' : ''"><a  [queryParams]="routerHelper.createQueryParams(parameterNames,parameterValues)"  routerLinkActive="router-link-active" [routerLink]=baseUrl>Sort by Relevance</a></li>
-        <li [class]="sortBy == 'resultdateofacceptance,descending'? 'uk-active' : ''"><a  [queryParams]="routerHelper.createQueryParamsSortBy(parameterNames,parameterValues,'sortBy',sortBy)" routerLinkActive="router-link-active" [routerLink]=baseUrl>Sort by Date</a></li>
-      </ul-->
     `
 })
 
 export class SearchSortingComponent {
-    /*@Input() searchUtils;
-    @Input() baseUrl;
-    @Input() parameterNames:string[];
-    @Input() parameterValues:string[];
-    */
-    @Input() sortBy: string="";
+
+    @Input() sortBy: string = '';
+    @Input() entityType: string = '';
     @Output() sortByChange  = new EventEmitter();
 
-    //public routerHelper:RouterHelper = new RouterHelper();
 
-    constructor (/*private route: ActivatedRoute, private _router: Router*/) {}
+    constructor () {}
 
     ngOnInit() {}
 
-    /*navigateSort(sortBy: string) {
-      this.searchUtils.page = 1;
 
-      console.info("sortBy="+sortBy);
-      if(sortBy) {
-        this._router.navigate([this.baseUrl], { queryParams: this.routerHelper.createQueryParamsSortBy(this.parameterNames, this.parameterValues, 'sortBy', sortBy)});
-      } else {
-        let index: number = this.parameterNames.findIndex(function(element) {
-          return element == "sortBy";
-        });
-        console.info("index of sortby: "+index);
-        if(index >= 0) {
-          this.parameterNames.splice(index, 1);
-          this.parameterValues.splice(index, 1);
-        }
-        this._router.navigate([this.baseUrl], { queryParams: this.routerHelper.createQueryParams(this.parameterNames, this.parameterValues)});
-      }
-    }*/
-
     sortByChanged() {
       this.sortByChange.emit({
           value: this.sortBy
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/advancedSearchPage.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 55570)
@@ -13,6 +13,7 @@
 import {ModalLoading}                 from '../../utils/modal/loading.component';
 import {StringUtils, Dates}           from '../../utils/string-utils.class';
 import {ErrorCodes}                   from '../../utils/properties/errorCodes';
+import {RouterHelper}                 from '../../utils/routerHelper.class';
 
 import {PiwikService}                 from '../../utils/piwik/piwik.service';
 import {EnvProperties}                from '../../utils/properties/env-properties';
@@ -55,6 +56,7 @@
   public resultsPerPage: number = 0;
   isPiwikEnabled = false;
   properties:EnvProperties;
+  public routerHelper:RouterHelper = new RouterHelper();
   public errorCodes:ErrorCodes = new ErrorCodes();
 
   url = null;
@@ -265,7 +267,9 @@
      this.searchUtils.page = page;
     var urlParameters = this.createUrlParameters(true);
     var queryParameters = this.createQueryParameters();
-    this.location.go(location.pathname,urlParameters);
+    //this.location.go(location.pathname,urlParameters);
+    this.router.navigate( [this.searchUtils.baseUrl], { queryParams: this.routerHelper.createQueryParams(this.parameterNames, this.parameterValues) } );
+
     this.queryChange.emit({
         value: queryParameters
     });
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/dataProviders/journals.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/dataProviders/journals.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/dataProviders/journals.component.ts	(revision 55570)
@@ -166,7 +166,7 @@
     //console.info("queryChanged: Execute search query "+parameters);
     var csv_parameters = $event.value;
 
-    this._getResults(parameters,csv_parameters, false, this.searchUtils.page, this.searchUtils.size);
+    //this._getResults(parameters,csv_parameters, false, this.searchUtils.page, this.searchUtils.size);
   }
   private createFilters():Filter[] {
     var filter_names=["Type","Compatibility Level"];
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchOrps.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchOrps.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchOrps.component.ts	(revision 55570)
@@ -286,7 +286,7 @@
     this.loadPaging = true;
 
     var parameters = $event.value;
-    this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size, this.searchUtils.sortBy);
+    //this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size, this.searchUtils.sortBy);
   }
 
   private handleError(message: string, error) {
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchOrganizations.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchOrganizations.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchOrganizations.component.ts	(revision 55570)
@@ -190,7 +190,7 @@
 
     var parameters = $event.value;
     //console.info("queryChanged: Execute search query "+parameters);
-    this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size);
+    //this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size);
   }
 
   private handleError(message: string, error) {
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchProjects.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchProjects.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchProjects.component.ts	(revision 55570)
@@ -229,7 +229,7 @@
 
     this.urlParams = undefined;
     var parameters = $event.value;
-    this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size);
+    //this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size);
   }
 
   private handleError(message: string, error) {
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/connect/community/communityInfo.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/connect/community/communityInfo.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/connect/community/communityInfo.ts	(revision 55570)
@@ -11,4 +11,6 @@
   subjects: string[];
   status:string;
   zenodoCommunity:string;
+  isSubscribed: boolean;
+  isManager: boolean;
 }
